
[Unit]
Description=Apache SOLR
After=syslog.target network.target remote-fs.target nss-lookup.target

# Before=multi-user.target graphical.target nginx.service
Conflicts=shutdown.target

[Service]
Type=simple
LimitNOFILE=65000
LimitNPROC=65000
UMask=0002
User={{ solr_user }}

PIDFile={{ solr_pid_directory }}/solr-{{ solr_port }}.pid
Environment=SOLR_INCLUDE=/etc/default/solr.in.sh

RuntimeDirectory=solr
RuntimeDirectoryMode=0775

ExecStart=/opt/solr/bin/solr start
ExecStop=/opt/solr/bin/solr stop
TimeoutStartSec=600

Restart=on-failure

[Install]
WantedBy=multi-user.target graphical.target
